org.apache.olingo.client.api.communication.request.streamed

## Interface ODataStreamedEntityRequest<V extends ODataResponse,T extends ODataPayloadManager<V>>

- Type Parameters:
    `V` - OData response type corresponding to the request implementation.
    `T` - OData request payload type corresponding to the request implementation.
  All Superinterfaces:
    ODataRequest, ODataStreamedRequest<V,T>
  All Known Subinterfaces:
    ODataMediaEntityCreateRequest<E>, ODataMediaEntityUpdateRequest<E>

      public interface ODataStreamedEntityRequest<V extends ODataResponse,T extends ODataPayloadManager<V>>
      extends ODataStreamedRequest<V,T>

  Abstract class representing a request concerning a streamed entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentType` | `getFormat()` Returns resource representation format.
    `void` | `setFormat(ContentType contentType)` Override configured request format.

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.ODataStreamedRequest

      `payloadManager`

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.ODataRequest

      `addCustomHeader, getAccept, getContentType, getHeader, getHeaderNames, getHttpRequest, getIfMatch, getIfNoneMatch, getMethod, getPrefer, getURI, rawExecute, setAccept, setContentType, setIfMatch, setIfNoneMatch, setPrefer, setURI, setXHTTPMethod, toByteArray`

- - ### Method Detail

    - #### getFormat

          ContentType getFormat()

      Returns resource representation format.
      Returns:
        the configured format (or default if not specified).
      See Also:
        `Configuration.getDefaultPubFormat()`

    - #### setFormat

          void setFormat(ContentType contentType)

      Override configured request format.
      Parameters:
        `format` - request format.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.